Update Ticket Tags
Updates tags for the specified ticket.
Required Permissions
Requires the MEMBER role or higher.
HTTP Request
PUT /api/sonar/tickets/:guid/tags
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
-d tags=638cfeb2-e259-46af-961a-1eeb65ea35f0 \
-X PUT \
https://HOSTNAME/api/sonar/tickets/201dc306-5ef7-4d4f-b872-1fa0f4d7dc56/tags
Request Parameters
Path Parameters
| Key | Type | Description | Notes |
|---|---|---|---|
| guid | String | Ticket GUID | 36 characters |
Request Body Parameters
| Key | Required | Type | Description | Notes |
|---|---|---|---|---|
| tags | N | String list | Tag GUID list | Comma-separated GUID list |
Success Response
HTTP status code 200 response
{}
Error Responses
Required argument is missing
HTTP status code 400
{
"error_code": "null-argument",
"error_msg": "guid should be not null"
}
Ticket identifier is not in valid GUID format
HTTP status code 400
{
"error_code": "invalid-argument",
"error_msg": "Invalid UUID string: 201dc306"
}
Permission denied
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "no-permission"
}